# Generated by Django 4.2.6 on 2024-05-20 23:48

from django.db import migrations, models
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ("mad_notifications", "0020_emailtemplate_from_phone_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="NotificationTemplate",
            fields=[
                (
                    "id",
                    models.BigAutoField(primary_key=True, serialize=False, unique=True),
                ),
                ("name", models.CharField(help_text="Template Name", max_length=225)),
                (
                    "slug",
                    models.SlugField(
                        help_text="Unique Template identifier",
                        max_length=225,
                        unique=True,
                    ),
                ),
                (
                    "subject",
                    models.CharField(
                        default="Email Subject here",
                        help_text="Email Subject",
                        max_length=225,
                    ),
                ),
                (
                    "content",
                    models.TextField(
                        blank=True,
                        help_text='Templated content of the email. <a href="https://docs.djangoproject.com/en/dev/topics/templates/" target="_target">Refer to docs for more details</a>. Supports HTML',
                        null=True,
                    ),
                ),
                (
                    "mobile_content",
                    models.TextField(
                        blank=True,
                        help_text='Templated content for SMS, and Push notification etc. <a href="https://docs.djangoproject.com/en/dev/topics/templates/" target="_target">Refer to docs for more details</a>. Supports HTML',
                        null=True,
                    ),
                ),
                (
                    "from_email",
                    models.CharField(
                        blank=True,
                        help_text="For example: No Reply &lt;noreply@example.com&gt;",
                        max_length=225,
                        null=True,
                    ),
                ),
                (
                    "from_phone",
                    phonenumber_field.modelfields.PhoneNumberField(
                        blank=True,
                        help_text="Phone number to send this message from.",
                        max_length=128,
                        null=True,
                        region=None,
                    ),
                ),
                ("admin_note", models.TextField(blank=True, null=True)),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
            options={
                "ordering": ["-id"],
                "abstract": False,
            },
        ),
    ]
